#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	int n,m,k1,k2,z=0;
	cin>>n>>m;
	int a[n];
	int b[m][2];
	for(int i=0;i<n;i++)
		cin>>a[i];
	for (int i=0;i<m;i++)
		for (int j=0;j<2;j++)
			cin>>b[i][j];
	for (int i=0;i<m;i++){
		for (int j=0;j<1;j++){
			k1=a[b[i][j]-1]+a[b[i][j+1]-1];
			k2=-k1;
			z=z+max(k1,k2);
		}
	}
	cout<<z;
}